function BarProfilerConfirmationWindow(PrintString, Destination)	
	BarProfilerGuiMainCloseHandler()
	BarProfilerDb.GUI.Inhibit = true
	local ProfileName = BarProfilerDb.Realms[BarProfilerDb.CurrentRealm].Characters[BarProfilerDb.CurrentCharacter].ProfileList[BarProfilerDb.SelectedProfile]
	if Destination == "LoadBars" then
		if BarProfilerDb.Realms[BarProfilerDb.CurrentRealm].Characters[BarProfilerDb.CurrentCharacter].Profiles[ProfileName].DataCheck == nil then
			BarProfiler:Print ("Error - There is no data to load")
			BarProfilerDb.GUI.Inhibit = nil
			BarProfiler:BarProfilerSlash(nil)
			return
		end
	elseif Destination == "SaveBars" then
		if BarProfilerDb.Realms[BarProfilerDb.CurrentRealm].Characters[BarProfilerDb.CurrentCharacter].Profiles[ProfileName].DataCheck == nil then
			BarProfilerSaveBars("Profiles", BarProfilerDb.Realms[BarProfilerDb.CurrentRealm].Characters[BarProfilerDb.CurrentCharacter].ProfileList[BarProfilerDb.SelectedProfile], false)
			BarProfilerDb.GUI.Inhibit = nil
			BarProfiler:BarProfilerSlash(nil)
			return
		end
	end
	if BarProfilerDb.GUI.HideWarnings == true then
		BarProfilerConfirmationWindowYesHandler(Destination)
		BarProfilerDb.GUI.Inhibit = nil
		BarProfiler:BarProfilerSlash(nil)
		return
	end
	BarProfilerMessageFrame = BarProfilerGui:Create("Window")	--bug workaround
	BarProfilerGui:Release(BarProfilerMessageFrame)	--bug workaround
	BarProfilerMessageFrame = BarProfilerGui:Create("Window")
		BarProfilerMessageFrame:EnableResize(Hide)
		BarProfilerMessageFrame:SetWidth(520)
		BarProfilerMessageFrame:SetHeight(200)
		BarProfilerMessageFrame:SetTitle("Confirmation Needed")
		BarProfilerMessageFrame:SetLayout("Flow")
		BarProfilerMessageFrame:SetCallback("OnClose", 	function(widget) BarProfilerConfirmationWindowNoHandler(widget) end)
		BarProfilerMessageFrame:SetPoint(BarProfilerDb.GUI.ConfirmationWindow.point, BarProfilerDb.GUI.ConfirmationWindow.relativeTo, BarProfilerDb.GUI.ConfirmationWindow.relativePoint, BarProfilerDb.GUI.ConfirmationWindow.xOfs, BarProfilerDb.GUI.ConfirmationWindow.yOfs)
	local BarProfilerMessageFrameTop = BarProfilerGui:Create("InlineGroup")
		BarProfilerMessageFrameTop:SetWidth(500)
		BarProfilerMessageFrameTop:SetLayout("Fill")
		BarProfilerMessageFrame:AddChild(BarProfilerMessageFrameTop)
	local BarProfilerMessage = BarProfilerGui:Create("Label")
		BarProfilerMessage:SetWidth(500)
		BarProfilerMessage:SetText (PrintString)
		BarProfilerMessage:SetFont ("Fonts\\FRIZQT__.TTF", 15)
		BarProfilerMessageFrameTop:AddChild(BarProfilerMessage)
	local BarProfilerMessageYesButton = BarProfilerGui:Create("Button")
		BarProfilerMessageYesButton:SetWidth(245)
		BarProfilerMessageYesButton:SetText ("Yes")
		BarProfilerMessageYesButton:SetCallback("OnClick", 	function(widget) BarProfilerConfirmationWindowYesHandler(Destination, Data) end)
		BarProfilerMessageFrame:AddChild(BarProfilerMessageYesButton)
	local BarProfilerMessageNoButton = BarProfilerGui:Create("Button")
		BarProfilerMessageNoButton:SetWidth(245)
		BarProfilerMessageNoButton:SetText ("No")
		BarProfilerMessageNoButton:SetCallback("OnClick", 	function(widget) BarProfilerConfirmationWindowNoHandler() end)
		BarProfilerMessageFrame:AddChild(BarProfilerMessageNoButton)
end
function BarProfilerConfirmationWindowYesHandler(Destination)
	if Destination == "DeleteProfile" then
		BarProfilerDeleteProfile()
	elseif Destination == "SaveBars" then
		BarProfilerSaveBars("Profiles", BarProfilerDb.Realms[BarProfilerDb.CurrentRealm].Characters[BarProfilerDb.CurrentCharacter].ProfileList[BarProfilerDb.SelectedProfile], false)
	elseif Destination == "LoadBars" then
		BarProfilerLoadBars("Profiles", BarProfilerDb.Realms[BarProfilerDb.CurrentRealm].Characters[BarProfilerDb.CurrentCharacter].ProfileList[BarProfilerDb.SelectedProfile], false)
		BarProfilerMainFrame:SetStatusText("Last Profile Loaded: " .. BarProfilerDb.Realms[BarProfilerDb.CurrentRealm].Characters[BarProfilerDb.CurrentCharacter].LoadedProfile)
	end
	if BarProfilerDb.GUI.HideWarnings == false then
		BarProfilerConfimationWindowCloseHandler()
	else
		BarProfiler:BarProfilerSlash(nil)
	end
end
function BarProfilerConfirmationWindowNoHandler()
	BarProfilerConfimationWindowCloseHandler()
end
function BarProfilerConfimationWindowCloseHandler()
	local point, relativeTo, relativePoint, xOfs, yOfs = BarProfilerMessageFrame:GetPoint()
	if relativeTo == nil then
		BarProfilerDb.GUI.ConfirmationWindow = {
			point = point,
			relativeTo = relativeTo,
			relativePoint = relativePoint,
			xOfs = xOfs,
			yOfs = yOfs
		}
	end
	BarProfilerDb.GUI.Inhibit = nil
	BarProfilerGui:Release(BarProfilerMessageFrame)
	BarProfiler:BarProfilerSlash(nil)
end